Cannoli_2.12: CLI 0.14.0 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package cannoli
  Definition Classes
    bdgenomics
-  package cli
  Definition Classes
    cannoli
- About
- BcftoolsCall
- BcftoolsCallArgs
- BcftoolsMpileup
- BcftoolsMpileupArgs
- BcftoolsNorm
- BcftoolsNormArgs
- BedtoolsIntersect
- BedtoolsIntersectArgs
- Blastn
- BlastnArgs
- Bowtie
- Bowtie2
- Bowtie2Args
- BowtieArgs
- BwaMem
- BwaMem2
- BwaMem2Args
- BwaMemArgs
- Cannoli
- CannoliModule
- Freebayes
- FreebayesArgs
- Gem
- GemArgs
- InterleaveFastq
- InterleaveFastqArgs
- LongMinimap2
- LongMinimap2Args
- LongUnimap
- LongUnimapArgs
- MagicBlast
- MagicBlastArgs
- Minimap2
- Minimap2Args
- SampleReads
- SampleReadsArgs
- SamtoolsMpileup
- SamtoolsMpileupArgs
- SingleEndBowtie2
- SingleEndBowtie2Args
- SingleEndMinimap2
- SingleEndMinimap2Args
- SingleEndStar
- SingleEndStarArgs
- SingleEndUnimap
- SingleEndUnimapArgs
- Snap
- SnapArgs
- SnpEff
- SnpEffArgs
- Star
- StarArgs
- Unimap
- UnimapArgs
- Vep
- VepArgs
- VtNormalize
- VtNormalizeArgs

c

org.bdgenomics.cannoli.cli

# SampleReads 

###
Companion object SampleReads

#### class SampleReads extends BDGSparkCommand[SampleReadsArgs] with Logging

Sample reads from interleaved FASTQ format.

Linear Supertypes
BDGSparkCommand[SampleReadsArgs], Logging, BDGCommand, Runnable, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SampleReads
2. BDGSparkCommand
3. Logging
4. BDGCommand
5. Runnable
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new SampleReads(args: SampleReadsArgs)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val args: SampleReadsArgs
   Attributes
     protected
   Definition Classes
     SampleReads → BDGSparkCommand
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native() @HotSpotIntrinsicCandidate()
7.  val companion: SampleReads.type
   Definition Classes
     SampleReads → BDGCommand
8.  def debug(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit
   Attributes
     protected
   Definition Classes
     Logging
9.  def debug(msg: ⇒ Any, t: ⇒ Throwable): Unit
   Attributes
     protected
   Definition Classes
     Logging
10.  def debug(msg: ⇒ Any): Unit
    Attributes
      protected
    Definition Classes
      Logging
11.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
12.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
13.  def error(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
14.  def error(msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
15.  def error(msg: ⇒ Any): Unit
    Attributes
      protected
    Definition Classes
      Logging
16.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
17.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
18.  def info(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
19.  def info(msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
20.  def info(msg: ⇒ Any): Unit
    Attributes
      protected
    Definition Classes
      Logging
21.  def isDebugEnabled: Boolean
    Attributes
      protected
    Definition Classes
      Logging
22.  def isErrorEnabled: Boolean
    Attributes
      protected
    Definition Classes
      Logging
23.  def isInfoEnabled: Boolean
    Attributes
      protected
    Definition Classes
      Logging
24.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
25.  def isTraceEnabled: Boolean
    Attributes
      protected
    Definition Classes
      Logging
26.  def isWarnEnabled: Boolean
    Attributes
      protected
    Definition Classes
      Logging
27.  def logger: Logger
    Attributes
      protected
    Definition Classes
      Logging
28.  def loggerName: String
    Attributes
      protected
    Definition Classes
      Logging
29.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
30.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
31.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
32.  def run(sc: SparkContext): Unit
    Definition Classes
      SampleReads → BDGSparkCommand
33.  def run(): Unit
    Definition Classes
      BDGSparkCommand → Runnable
34.  val stringency: ValidationStringency
35.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
36.  def toString(): String
    Definition Classes
      AnyRef → Any
37.  def trace(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
38.  def trace(msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
39.  def trace(msg: ⇒ Any): Unit
    Attributes
      protected
    Definition Classes
      Logging
40.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
41.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
42.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
43.  def warn(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
44.  def warn(msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
45.  def warn(msg: ⇒ Any): Unit
    Attributes
      protected
    Definition Classes
      Logging

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

### Inherited from BDGSparkCommand[SampleReadsArgs]

### Inherited from Logging

### Inherited from BDGCommand

### Inherited from Runnable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped